import tkinter
import tkinter.ttk

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        self.pack(padx=4, pady=4)

        self.create_widgets()
        self.master.title("Пример использования Progressbar")
        # Запрещаем изменять размеры окна
        self.master.resizable(False, False)

    def create_widgets(self):
        self.varValue = tkinter.IntVar()
        self.pgb = tkinter.ttk.Progressbar(self, mode="indeterminate")
        self.pgb.pack()
        btnOK = tkinter.ttk.Button(self, text="Запустить Progressbar", command=self.butOk)
        btnOK.pack()
        btnCancel = tkinter.ttk.Button(self, text="Остановить Progressbar", command=self.butCancel)
        btnCancel.pack()

    def butOk(self):
        self.pgb.start(10)

    def butCancel(self):
        self.pgb.stop()

root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
